Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 09-13-08, 04:47 AM   #1
alienexplorers
Registered User
 
alienexplorers's Avatar
 
Join Date: Feb 2007
Location: Hershey, PA, USA
Posts: 139
Default When will compatible drivers for Ubuntu 8.10 be ready

I am trying to setup Ubuntu Alpha 5 for testing and really need a video card driver compatible with my fx5200 card. The current 173.xx.xx driver only lets me run 2D with the nv driver.
alienexplorers is offline   Reply With Quote
Old 09-13-08, 02:32 PM   #2
spion
Registered User
 
Join Date: Sep 2008
Posts: 44
Default Re: When will compatible drivers for Ubuntu 8.10 be ready

177.70 driver works on my 2.6.27 kernel.
spion is offline   Reply With Quote
Old 09-13-08, 04:57 PM   #3
alienexplorers
Registered User
 
alienexplorers's Avatar
 
Join Date: Feb 2007
Location: Hershey, PA, USA
Posts: 139
Default Re: When will compatible drivers for Ubuntu 8.10 be ready

Still trying to get a driver to let me run 3D and GLX compliant programs. I found in past versions of Ubuntu that the 96.xx.xx driver worked best for me.
alienexplorers is offline   Reply With Quote
Old 09-13-08, 09:42 PM   #4
gavron
Registered User
 
Join Date: Apr 2008
Posts: 49
Default Re: When will compatible drivers for Ubuntu 8.10 be ready

Quote:
Originally Posted by spion View Post
177.70 driver works on my 2.6.27 kernel.
173.14 Had patches available here to compile but why bother...
177.13 Has worked on 2.6.27 for me since 2008-08-02
177.68 Has worked on 2.6.27 for me since 2008-08-24
177.70 Works just fine on 2.6.27 but I've only done limited testing on it.

Ehud
gavron is offline   Reply With Quote
Old 09-14-08, 04:16 AM   #5
kernelOfTruth
Gentoo Linux addict
 
Join Date: Nov 2007
Location: Vienna, Austria; Germany; hello world :)
Posts: 202
Default Re: When will compatible drivers for Ubuntu 8.10 be ready

Quote:
Originally Posted by alienexplorers View Post
Still trying to get a driver to let me run 3D and GLX compliant programs. I found in past versions of Ubuntu that the 96.xx.xx driver worked best for me.
look over at forums.gentoo.org for zen-sources / zen and 96.xx something a user posted a patch for it to compile and work fine with 2.6.27

Cheers

edit:

here's the link to it:
http://forums.gentoo.org/viewtopic-p...5.html#5212035

Code:
diff -Nru NVIDIA-Linux-x86-173.14.12-pkg0.orig/usr/src/nv/nv.c NVIDIA-Linux-x86-173.14.12-pkg0/usr/src/nv/nv.c
--- usr/src/nv/nv.c   2008-07-18 03:42:50.000000000 +0200
+++ NVIDIA-Linux-x86-173.14.12-pkg0/usr/src/nv/nv.c   2008-08-12 00:35:45.000000000 +0200
@@ -1296,14 +1296,22 @@
             if (get_cpu() == cpu)
                 __nv_setup_pat_entries(NULL);
             else
+          #if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 27)
+      smp_call_function(__nv_setup_pat_entries, hcpu, 1);
+      #else
                 smp_call_function(__nv_setup_pat_entries, hcpu, 1, 1);
+      #endif
             put_cpu();
             break;
         case CPU_DOWN_PREPARE:
             if (get_cpu() == cpu)
                 __nv_restore_pat_entries(NULL);
             else
+          #if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 27)
+      smp_call_function(__nv_restore_pat_entries, hcpu, 1);
+      #else
                 smp_call_function(__nv_restore_pat_entries, hcpu, 1, 1);
+      #endif
             put_cpu();
             break;
     }
diff -Nru NVIDIA-Linux-x86-173.14.12-pkg0.orig/usr/src/nv/nv-linux.h NVIDIA-Linux-x86-173.14.12-pkg0/usr/src/nv/nv-linux.h
--- usr/src/nv/nv-linux.h   2008-07-18 03:42:51.000000000 +0200
+++ NVIDIA-Linux-x86-173.14.12-pkg0/usr/src/nv/nv-linux.h   2008-08-12 00:44:27.000000000 +0200
@@ -104,7 +104,10 @@
 #endif
 
 #include <linux/spinlock.h>
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 27)
+#else
 #include <asm/semaphore.h>
+#endif
 #include <linux/completion.h>
 #include <linux/highmem.h>
 
@@ -665,13 +668,21 @@
 #if defined(preempt_disable)
     preempt_disable();
 #endif
+    #if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 27)
+    ret = smp_call_function(func, info, 1);
+    #else
     ret = smp_call_function(func, info, 1, 1);
+    #endif
     func(info);
 #if defined(preempt_enable)
     preempt_enable();
 #endif
 #else
+    #if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 27)
+    ret = on_each_cpu(func, info, 1);
+    #else
     ret = on_each_cpu(func, info, 1, 1);
+    #endif
 #endif
     return ret;
 }
diff -Nru NVIDIA-Linux-x86-173.14.12-pkg0.orig/usr/src/nv/os-interface.c NVIDIA-Linux-x86-173.14.12-pkg0/usr/src/nv/os-interface.c
--- usr/src/nv/os-interface.c   2008-07-18 03:42:50.000000000 +0200
+++ NVIDIA-Linux-x86-173.14.12-pkg0/usr/src/nv/os-interface.c   2008-08-12 00:48:07.000000000 +0200
@@ -48,7 +48,11 @@
 #endif
     local_bh_disable();
     atomic_set(&os_smp_barrier, 1);
+    #if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 27)
+    ret = smp_call_function(ipi_handler, NULL, 0);
+    #else
     ret = smp_call_function(ipi_handler, NULL, 1, 0);
+    #endif
 #endif
     return (ret == 0) ? RM_OK : RM_ERROR;
 }
@@ -704,7 +708,9 @@
     U032 sig
 )
 {
+    #if LINUX_VERSION_CODE <= KERNEL_VERSION(2, 6, 26)
     return kill_proc(pid, sig, 1) ? RM_ERR_OPERATING_SYSTEM : RM_OK;
+    #endif
 }
 
 /*******************************************************************************/
don't know if it's displayed correctly (due to forum stuff)
__________________
2.6.30-rc3-zen0+ w. compcache, reiser4 + ccreg40 (lzo-compression + checksumming)
gcc version 4.4.0-pre9999 built 20090425 (prerelease) rev. 146764 (Gentoo SVN)
gcc version 4.4.0 (Gentoo Hardened 4.4.0-r1, espf-0.2.1)
Ubuntu Jaunty/9.04 x86_64 Dell XPS M1330
kernelOfTruth is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
GeForce R304 Beta Drivers Get You Ready For Summer Gaming News Archived News Items 0 06-18-12 09:50 PM
nvidia: Your GeForce R300 WHQL-certified drivers are now ready to enhance Max Payne 3 News Archived News Items 0 05-22-12 06:30 PM
Enhance Max Payne 3, Diablo III with GeForce R300 Drivers News Archived News Items 0 05-22-12 06:30 PM
Creative drivers ? SparrowHawk General Hardware 39 11-18-02 08:03 AM
Radeon 9700 not all that? sancheuz Other Desktop Graphics Cards 200 10-12-02 09:31 PM

All times are GMT -5. The time now is 03:34 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.